﻿

.modal-calendar {
    bottom: 0px;
    position: fixed;
    width: 100%;
    height: auto;
    max-height: calc(100vh - 1rem);
    max-height: calc(100dvh - 1rem);
    left: 0px;
    margin: 0px auto;
    right: 0px;
}
    .modal-calendar > div {
        border-radius: 14px 14px 0px 0px;
        margin: 0
    }
        .modal-calendar > div > div > div.calendar-header {
            height: 56px;
            display: flex;
            justify-content: center;
        }
            .modal-calendar > div > div > div.calendar-header > div.month-year-control {
                width: 100%;
                letter-spacing: 0px;
                opacity: 1;
                justify-content: center;
                display: flex;
                align-items: center;
                font-size: 19px !important;
                line-height: 41px !important;
                color: var(--custom-black);
            }

                .modal-calendar > div > div > div.calendar-header > div.month-year-control > span.btn-prev-month {
                    padding: 0 10px 4px 0;
                }

                .modal-calendar > div > div > div.calendar-header > div.month-year-control > span.btn-next-month {
                    padding: 0 0 4px 10px;
                }


        .modal-calendar > div > div > button.close-text {
            position: absolute;
            left: 16px;
            top: 21px;
            font-weight: 400;
            color: var(--custom-blue);
            font-size: 16px;
            letter-spacing: -0.38px;
            color: #184F9E !important;
            opacity: 1;
        }

        .modal-calendar > div > div.modal-body {
            display: flex;
            justify-content: center;
            word-wrap: break-word;
        }

        .modal-calendar > div > div.modal-footer {
            font-size: 12px !important;
            text-align: center !important;
            display: inline-block !important;
        }

        .modal-calendar > div > div > table {
        }


.weekRow > th {
    cursor: default;
    font-size: 90%;
    color: rgba(0, 0, 0, 0.54);
    line-height: 1;
    font-weight: bolder;
}

    .weekRow > th.sunday {
        color: red;
    }

    .weekRow > th.saturday {
        color: blue;
    }

.dayInfo > td {
    width: 48px;
    height: 64px;
    letter-spacing: 0px;
    opacity: 1;
    vertical-align: top
}

    .dayInfo > td > div > div.date {
        /* font: 16px SF Compact Display; */
        line-height: 1em;
        margin-top: 6px;
        font-size: 19px;
        font-weight: 500;
        /* font-family: SF Compact Display; */
    }


    .dayInfo > td > div > div.sunday {
        color: #FF0000;
    }

    .dayInfo > td > div > div.saturday {
        color: #004EFF;
    }

    .dayInfo > td > div > div.businessday {
        font-weight: bold;
        font: 26px SF Compact Display;
    }

    .dayInfo > td > div > div.closeday {
        font-weight: bold;
        font: 26px SF Compact Display;
    }

    .dayInfo > td > div > div.time {
        font-size: 13px;
        line-height: 1em;
        margin: 6px 0px 0px;
    }

